' NESTING.BAS
' This program demonstrates nesting different kinds of loops.

CLS

DO
    PRINT "How many tones do you want to hear?"
    INPUT "(Enter 0 to end)  ", numSounds%
    PRINT
   
    FOR i% = 1 TO numSounds%
        SOUND (i% * 100), 1
    NEXT i%

LOOP UNTIL numSounds% = 0

